r2233 - in python-mechanize/trunk/debian (4 files)

jinty-guest at users.alioth.debian.org jinty-guest at users.alioth.debian.org
Sun May 15 19:00:19 UTC 2011


    Date: Sunday, May 15, 2011 @ 18:59:52
  Author: jinty-guest
Revision: 2233

Add debian/tests

Added:
  python-mechanize/trunk/debian/tests/
  python-mechanize/trunk/debian/tests/all
  python-mechanize/trunk/debian/tests/control
Modified:
  python-mechanize/trunk/debian/changelog

Modified: python-mechanize/trunk/debian/changelog
===================================================================
--- python-mechanize/trunk/debian/changelog	2011-05-15 17:05:24 UTC (rev 2232)
+++ python-mechanize/trunk/debian/changelog	2011-05-15 18:59:52 UTC (rev 2233)
@@ -9,8 +9,9 @@
     deprecated as an external project.
   * Switch to dpkg-source 3.0 (quilt) format from dpatch.
   * Convert from python-central to debhelper 7 and dh_python2 (Closes: #617013)
+  * Add debian/tests
 
- -- Brian Sutherland <brian at vanguardistas.net>  Sun, 15 May 2011 18:59:54 +0200
+ -- Brian Sutherland <brian at vanguardistas.net>  Sun, 15 May 2011 19:24:58 +0200
 
 python-mechanize (0.1.11-1.1) unstable; urgency=low
 

Added: python-mechanize/trunk/debian/tests/all
===================================================================
--- python-mechanize/trunk/debian/tests/all	                        (rev 0)
+++ python-mechanize/trunk/debian/tests/all	2011-05-15 18:59:52 UTC (rev 2233)
@@ -0,0 +1,22 @@
+# includable shell script to make test scripts smaller
+
+set -e
+
+PYVERS=$(pyversions -r debian/control)
+tmpdir=$(mktemp -d)
+curdir=$(pwd)
+
+cp test.py "$tmpdir"
+cp -r examples "$tmpdir"
+cp -r test "$tmpdir"
+cp -r test-tools "$tmpdir"
+
+cd "$tmpdir"
+
+for python in ${PYVERS}; do
+    echo Running tests for ${python}:
+    ${python} "${tmpdir}/test.py" 2>&1
+done
+
+cd "$curdir"
+rm -rf "$tmpdir"

Added: python-mechanize/trunk/debian/tests/control
===================================================================
--- python-mechanize/trunk/debian/tests/control	                        (rev 0)
+++ python-mechanize/trunk/debian/tests/control	2011-05-15 18:59:52 UTC (rev 2233)
@@ -0,0 +1,3 @@
+Tests: all
+Features: no-build-needed
+Depends: @, python-all, python-twisted-web2, python-zope.interface




More information about the pkg-zope-developers mailing list